> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amberdata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Historical

> Provides historical open interest data for options contracts, detailing the total number of outstanding contracts at specific timestamps to help assess market interest over time across supported exchanges.

<Warning>
  The maximum time range (difference between `startDate` and `endDate`) is **365 days (1 year)**.
</Warning>

<Note>
  If the `startDate` and `endDate` query parameters are not provided, the API will return the data from the previous 1 year.
</Note>


## OpenAPI

````yaml get /options/open-interest/{instrument}
openapi: 3.1.0
info:
  title: market-api
  version: '2'
servers:
  - url: https://api.amberdata.com/markets
security:
  - ApiKeyAuth: []
paths:
  /options/open-interest/{instrument}:
    get:
      summary: Historical
      description: >-
        Provides historical open interest data for options contracts, detailing
        the total number of outstanding contracts at specific timestamps to help
        assess market interest over time across supported exchanges.
      operationId: options-open-interest-historical
      parameters:
        - name: instrument
          in: path
          description: The instrument for which to retrieve the requested data.
          schema:
            type: string
            default: BTC-27DEC24-100000-C
          required: true
        - name: exchange
          in: query
          description: >-
            **[Optional]** The exchange(s) for which to retrieve the requested
            data (comma separated). **[Defaults]** All available exchanges.
          required: true
          schema:
            type: string
            default: deribit
        - name: startDate
          in: query
          description: >-
            **[Optional]** Payload only includes data after this date
            (inclusive). **[Formats]** `seconds | milliseconds | iso8601`
            **[Examples]** `1578531600 | 1578531600000 | 2020-09-01T01:00:00`
          schema:
            type: string
            format: date-time
            default: '1690156800000'
        - name: endDate
          in: query
          description: >-
            **[Optional]** Payload only includes data before this date
            (exclusive). **[Formats]** `seconds | milliseconds | iso8601`
            **[Examples]** `1578531600 | 1578531600000 | 2020-09-01T01:00:00`
          schema:
            type: string
            format: date-time
            default: '1690160400000'
        - name: timeFormat
          in: query
          description: >-
            **[Optional]** Time format of the timestamps in the return payload.
            **[Defaults]** `milliseconds | ms* | iso | iso8601 | hr |
            human_readable`
          schema:
            type: string
        - name: sortDirection
          in: query
          description: >-
            **[Optional]** Specifies the direction in which the data is sorted
            (by timestamp).   **[Defaults]** asc (ascending order).   **[Usage
            Conditions]** This parameter can only be used if the `startDate` and
            `endDate` timeframe is within the most recent 24 hours, or if the
            `startDate` and `endDate` parameters are not used at all.  
            **[Examples]** ascending | descending | asc | desc
          schema:
            type: string
        - name: Accept-Encoding
          in: header
          required: true
          description: ''
          schema:
            type: string
            default: gzip, deflate, br
        - name: api-version
          in: header
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Success:
                  value:
                    status: 200
                    title: OK
                    description: Successful request
                    payload:
                      metadata:
                        next: null
                        api-version: '2023-09-30'
                      data:
                        - instrument: BTC-29DEC23-30000-C
                          exchange: deribit
                          exchangeTimestamp: 1690156800895
                          exchangeTimestampNanoseconds: 0
                          value: 2603.5
                          type: null
              schema:
                oneOf:
                  - title: Success
                    type: object
                    properties:
                      status:
                        type: integer
                        example: 200
                        default: 0
                      title:
                        type: string
                        example: OK
                      description:
                        type: string
                        example: Successful request
                      payload:
                        type: object
                        properties:
                          metadata:
                            type: object
                            properties:
                              next: {}
                              api-version:
                                type: string
                                example: '2023-09-30'
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                instrument:
                                  type: string
                                  example: BTC-29DEC23-30000-C
                                exchange:
                                  type: string
                                  example: deribit
                                exchangeTimestamp:
                                  type: integer
                                  example: 1690156800895
                                  default: 0
                                exchangeTimestampNanoseconds:
                                  type: integer
                                  example: 0
                                  default: 0
                                value:
                                  type: number
                                  example: 2603.5
                                  default: 0
                                type: {}
      deprecated: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````